{"items":[{"type":"link","label":"DrillPlan Reporting API","link":"/solutions/drillplan/apis/reportingapi","routeSlug":"/solutions/drillplan/apis/reportingapi","content":{"contentType":"overview","meta":{"name":"DrillPlan Reporting API"},"children":[{"nodeType":"container","panels":[{"title":"Download OpenAPI description","titleTranslationKey":"download.description.title","children":[{"kind":"download","label":"ReportingAPI.json","url":"/_bundle/solutions/drillplan/apis/ReportingAPI.json?download"},{"kind":"download","label":"ReportingAPI.yaml","url":"/_bundle/solutions/drillplan/apis/ReportingAPI.yaml?download"}]},{"title":"Overview","titleTranslationKey":"info.title","children":[]},{"title":"Languages","titleTranslationKey":"languages.title","children":[{"kind":"languages","options":[{"key":"curl","title":"curl","lang":"curl"},{"key":"javascript","title":"JavaScript","lang":"JavaScript"},{"key":"node","title":"Node.js","lang":"Node.js"},{"key":"python","title":"Python","lang":"Python"},{"key":"java","title":"Java","lang":"Java"},{"key":"csharp","title":"C#","lang":"C#"},{"key":"php","title":"PHP","lang":"PHP"},{"key":"go","title":"Go","lang":"Go"},{"key":"ruby","title":"Ruby","lang":"Ruby"},{"key":"r","title":"R","lang":"R"},{"key":"payload","title":"Payload","lang":"Payload"}]}]},{"title":"Servers","titleTranslationKey":"servers.title","children":[{"kind":"servers","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/reporting","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/reporting","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/reportingapi","description":"Mock server","isMockServer":true}],"mode":"default"}]}],"children":[{"nodeType":"overview-section-wrapper","children":[{"nodeType":"header","level":1,"label":"DrillPlan Reporting API (2.1.0)","showPageActions":true},{"nodeType":"overview-section-wrapper","children":[{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Provides access to DrillPlan reports."},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"fwk-drillplan.slbservice.com\n","language":"plain","title":"Client ID"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"fwk-drillplan.slbservice.com\n"},"children":[]}]}]}],"sectionId":"/"}],"sectionId":"/"}]}]}},{"type":"group","label":"Exports","link":"/solutions/drillplan/apis/reportingapi/exports","routeSlug":"/solutions/drillplan/apis/reportingapi/exports","items":[{"label":"Get a result of a report export by ID.","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/drillplan/apis/reportingapi/exports/getexportv2","routeSlug":"/solutions/drillplan/apis/reportingapi/exports/getexportv2","metadata":{"seo":{"title":"Get a result of a report export by ID.","description":"Allows to get a result of a DrillPlan report export in binary form. Results of export operations are transient and get deleted after one minute after the corresponding export task gets completed. To get the results, the user must be a member of the project to which the exported report belongs."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"GetExportV2","name":"Get a result of a report export by ID.","isWebhook":false,"pointer":"/paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get a result of a report export by ID.","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Allows to get a result of a DrillPlan report export in binary form.  \nResults of export operations are transient and get deleted after one minute after the corresponding export task gets completed.  \nTo get the results, the user must be a member of the project to which the exported report belongs. \n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Token from SLB Authenticator Service"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey","description":"Application key."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_0","description":"Identifier of the project.","required":true},{"name":"exportId","in":"path","schemaId":"schema_0","description":"Identifier of the report export.","required":true}],"pointer":"/paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-data-partition-id","in":"header","schemaId":"schema_0","description":"Data partition ID.","required":true}],"pointer":"/paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v2/projects/{projectId}/exports/{exportId}","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/reporting","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/reporting","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/reportingapi","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_0"},{"name":"exportId","in":"path","required":true,"schemaId":"schema_0"}],"query":[],"querystring":[],"header":[{"name":"slb-data-partition-id","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"responseCodes":["200","401","404","500","default"],"pointer":"/v2/projects/{projectId}/exports/{exportId}","href":"exports/getexportv2","openApiOperationId":"GetExportV2","summary":"Get a result of a report export by ID."},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/reporting","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/reporting","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/reportingapi","description":"Mock server","isMockServer":true}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Success","mediaType":"application/pdf","mediaTypes":["application/pdf"],"mediaTypeContent":{"application/pdf":{"schemaId":"schema_1"}},"schemaId":"schema_1"},{"code":"401","description":"User is not authorized.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/responses/401/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/responses/401/content/application~1problem+json/example"]},{"code":"404","description":"Resource not found.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/responses/404/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/responses/404/content/application~1problem+json/example"]},{"code":"500","description":"Internal server error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/responses/500/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/responses/500/content/application~1problem+json/example"]},{"code":"default","description":"Unexpected error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/responses/default/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/responses/default/content/application~1problem+json/example"]}],"pointer":"/paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"schema_1","mediaTypes":["application/pdf"],"mediaTypeContent":{"application/pdf":{"schemaId":"schema_1"}}},{"code":"401","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/responses/401/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/responses/401/content/application~1problem+json/example"]}}},{"code":"404","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/responses/404/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/responses/404/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/responses/500/content/application~1problem+json/example"]}}},{"code":"default","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/responses/default/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1exports~1{exportId}/get/responses/default/content/application~1problem+json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/exports/getexportv2"}],"panels":[]}]},"httpPath":"/v2/projects/{projectId}/exports/{exportId}"}],"content":{"contentType":"group","meta":{"name":"Exports"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Exports","showPageActions":true},{"nodeType":"markdoc","content":"Service endpoints to access report exports."}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/v2/projects/{projectId}/exports/{exportId}","summary":"Get a result of a report export by ID.","prefix":{"name":"get","color":"get"},"badges":[],"link":"/exports/getexportv2","deprecated":false}]}]}]}]}},{"type":"group","label":"Reports","link":"/solutions/drillplan/apis/reportingapi/reports","routeSlug":"/solutions/drillplan/apis/reportingapi/reports","items":[{"label":"Get project reports.","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/drillplan/apis/reportingapi/reports/getprojectreportsv2","routeSlug":"/solutions/drillplan/apis/reportingapi/reports/getprojectreportsv2","metadata":{"seo":{"title":"Get project reports.","description":"Returns a collection of reports created in a DrillPlan project. The user must be a member of the project to be able to enumerate the reports."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"GetProjectReportsV2","name":"Get project reports.","isWebhook":false,"pointer":"/paths/~1v2~1projects~1{projectId}~1reports/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get project reports.","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Returns a collection of reports created in a DrillPlan project.   \nThe user must be a member of the project to be able to enumerate the reports. \n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Token from SLB Authenticator Service"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey","description":"Application key."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_0","description":"Identifier of the project.","required":true}],"pointer":"/paths/~1v2~1projects~1{projectId}~1reports/get/parameters"},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"name","in":"query","schemaId":"schema_0","description":"Report name to search for using exact match."}],"pointer":"/paths/~1v2~1projects~1{projectId}~1reports/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-data-partition-id","in":"header","schemaId":"schema_0","description":"Data partition ID.","required":true}],"pointer":"/paths/~1v2~1projects~1{projectId}~1reports/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v2/projects/{projectId}/reports","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/reporting","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/reporting","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/reportingapi","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_0"}],"query":[{"name":"name","in":"query","required":false,"schemaId":"schema_0"}],"querystring":[],"header":[{"name":"slb-data-partition-id","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"responseCodes":["200","401","404","500","default"],"pointer":"/v2/projects/{projectId}/reports","href":"reports/getprojectreportsv2","openApiOperationId":"GetProjectReportsV2","summary":"Get project reports."},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/reporting","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/reporting","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/reportingapi","description":"Mock server","isMockServer":true}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Success","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ReportList"}},"schemaId":"components/schemas/ReportList"},{"code":"401","description":"User is not authorized.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports/get/responses/401/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports/get/responses/401/content/application~1problem+json/example"]},{"code":"404","description":"Resource not found.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports/get/responses/404/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports/get/responses/404/content/application~1problem+json/example"]},{"code":"500","description":"Internal server error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports/get/responses/500/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports/get/responses/500/content/application~1problem+json/example"]},{"code":"default","description":"Unexpected error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports/get/responses/default/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports/get/responses/default/content/application~1problem+json/example"]}],"pointer":"/paths/~1v2~1projects~1{projectId}~1reports/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/ReportList","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ReportList"}}},{"code":"401","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports/get/responses/401/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports/get/responses/401/content/application~1problem+json/example"]}}},{"code":"404","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports/get/responses/404/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports/get/responses/404/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports/get/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports/get/responses/500/content/application~1problem+json/example"]}}},{"code":"default","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports/get/responses/default/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports/get/responses/default/content/application~1problem+json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/reports/getprojectreportsv2"}],"panels":[]}]},"httpPath":"/v2/projects/{projectId}/reports"},{"label":"Create a report creation task.","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/drillplan/apis/reportingapi/reports/createreportcreatetaskv2","routeSlug":"/solutions/drillplan/apis/reportingapi/reports/createreportcreatetaskv2","metadata":{"seo":{"title":"Create a report creation task.","description":"Creates a new instance of the asynchronous report creation task. The user must be a member of the project to be able to create reports."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"CreateReportCreateTaskV2","name":"Create a report creation task.","isWebhook":false,"pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1create/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create a report creation task.","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Creates a new instance of the asynchronous report creation task. \nThe user must be a member of the project to be able to create reports.\n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Token from SLB Authenticator Service"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey","description":"Application key."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_0","description":"Identifier of the project.","required":true}],"pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1create/post/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-data-partition-id","in":"header","schemaId":"schema_0","description":"Data partition ID.","required":true}],"pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1create/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ReportCreateRequest"}},"schemaId":"components/schemas/ReportCreateRequest","pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1create/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v2/projects/{projectId}/reports/create","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/reporting","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/reporting","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/reportingapi","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_0"}],"query":[],"querystring":[],"header":[{"name":"slb-data-partition-id","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/ReportCreateRequest"}},"responseCodes":["200","400","401","404","423","500","default"],"pointer":"/v2/projects/{projectId}/reports/create","href":"reports/createreportcreatetaskv2","openApiOperationId":"CreateReportCreateTaskV2","summary":"Create a report creation task."},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/reporting","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/reporting","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/reportingapi","description":"Mock server","isMockServer":true}],"schemaId":"components/schemas/ReportCreateRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ReportCreateRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Success","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Task"}},"schemaId":"components/schemas/Task"},{"code":"400","description":"Bad request.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/400/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/400/content/application~1problem+json/example"]},{"code":"401","description":"User is not authorized.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/401/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/401/content/application~1problem+json/example"]},{"code":"404","description":"Resource not found.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/404/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/404/content/application~1problem+json/example"]},{"code":"423","description":"Locked.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/423/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/423/content/application~1problem+json/example"]},{"code":"500","description":"Internal server error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/500/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/500/content/application~1problem+json/example"]},{"code":"default","description":"Unexpected error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/default/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/default/content/application~1problem+json/example"]}],"pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/Task","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Task"}}},{"code":"400","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/400/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/400/content/application~1problem+json/example"]}}},{"code":"401","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/401/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/401/content/application~1problem+json/example"]}}},{"code":"404","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/404/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/404/content/application~1problem+json/example"]}}},{"code":"423","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/423/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/423/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/500/content/application~1problem+json/example"]}}},{"code":"default","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/default/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1create/post/responses/default/content/application~1problem+json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/reports/createreportcreatetaskv2"}],"panels":[]}]},"httpPath":"/v2/projects/{projectId}/reports/create"},{"label":"Get a report.","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/drillplan/apis/reportingapi/reports/getreportv2","routeSlug":"/solutions/drillplan/apis/reportingapi/reports/getreportv2","metadata":{"seo":{"title":"Get a report.","description":"Allows to retrieve a specific DrillPlan report details using a report ID. To report details, the user must be a member of the project to which the report belongs."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"GetReportV2","name":"Get a report.","isWebhook":false,"pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get a report.","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Allows to retrieve a specific DrillPlan report details using a report ID.   \nTo report details, the user must be a member of the project to which the report belongs. \n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Token from SLB Authenticator Service"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey","description":"Application key."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_0","description":"Identifier of the project.","required":true},{"name":"reportId","in":"path","schemaId":"schema_0","description":"Identifier of the report.","required":true}],"pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/parameters"},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"include","in":"query","schemaId":"schema_2","description":"Allows to include additional information to the response. Use 'chapters' to include information about report chapters."}],"pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-data-partition-id","in":"header","schemaId":"schema_0","description":"Data partition ID.","required":true}],"pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v2/projects/{projectId}/reports/{reportId}","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/reporting","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/reporting","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/reportingapi","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_0"},{"name":"reportId","in":"path","required":true,"schemaId":"schema_0"}],"query":[{"name":"include","in":"query","schemaId":"schema_2"}],"querystring":[],"header":[{"name":"slb-data-partition-id","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"responseCodes":["200","401","404","500","default"],"pointer":"/v2/projects/{projectId}/reports/{reportId}","href":"reports/getreportv2","openApiOperationId":"GetReportV2","summary":"Get a report."},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/reporting","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/reporting","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/reportingapi","description":"Mock server","isMockServer":true}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Success","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Report"}},"schemaId":"components/schemas/Report"},{"code":"401","description":"User is not authorized.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/responses/401/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/responses/401/content/application~1problem+json/example"]},{"code":"404","description":"Resource not found.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/responses/404/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/responses/404/content/application~1problem+json/example"]},{"code":"500","description":"Internal server error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/responses/500/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/responses/500/content/application~1problem+json/example"]},{"code":"default","description":"Unexpected error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/responses/default/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/responses/default/content/application~1problem+json/example"]}],"pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/Report","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Report"}}},{"code":"401","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/responses/401/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/responses/401/content/application~1problem+json/example"]}}},{"code":"404","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/responses/404/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/responses/404/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/responses/500/content/application~1problem+json/example"]}}},{"code":"default","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/responses/default/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}/get/responses/default/content/application~1problem+json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/reports/getreportv2"}],"panels":[]}]},"httpPath":"/v2/projects/{projectId}/reports/{reportId}"},{"label":"Crate a report export task.","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/drillplan/apis/reportingapi/reports/createreportcontentexporttaskv2","routeSlug":"/solutions/drillplan/apis/reportingapi/reports/createreportcontentexporttaskv2","metadata":{"seo":{"title":"Crate a report export task.","description":"Creates a new instance of the asynchronous export task for a given DrillPlan report. To create an export task, the user must be a member of the project to which the report belongs."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"CreateReportContentExportTaskV2","name":"Crate a report export task.","isWebhook":false,"pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Crate a report export task.","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Creates a new instance of the asynchronous export task for a given DrillPlan report.  \nTo create an export task, the user must be a member of the project to which the report belongs. \n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Token from SLB Authenticator Service"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey","description":"Application key."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_0","description":"Identifier of the project.","required":true},{"name":"reportId","in":"path","schemaId":"schema_0","description":"Identifier of the report.","required":true}],"pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-data-partition-id","in":"header","schemaId":"schema_0","description":"Data partition ID.","required":true}],"pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ReportContentExportRequest"}},"schemaId":"components/schemas/ReportContentExportRequest","pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v2/projects/{projectId}/reports/{reportId}/content/export","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/reporting","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/reporting","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/reportingapi","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_0"},{"name":"reportId","in":"path","required":true,"schemaId":"schema_0"}],"query":[],"querystring":[],"header":[{"name":"slb-data-partition-id","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/ReportContentExportRequest"}},"responseCodes":["200","400","401","404","423","500","default"],"pointer":"/v2/projects/{projectId}/reports/{reportId}/content/export","href":"reports/createreportcontentexporttaskv2","openApiOperationId":"CreateReportContentExportTaskV2","summary":"Crate a report export task."},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/reporting","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/reporting","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/reportingapi","description":"Mock server","isMockServer":true}],"schemaId":"components/schemas/ReportContentExportRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ReportContentExportRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Success","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Task"}},"schemaId":"components/schemas/Task"},{"code":"400","description":"Bad request.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/400/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/400/content/application~1problem+json/example"]},{"code":"401","description":"User is not authorized.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/401/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/401/content/application~1problem+json/example"]},{"code":"404","description":"Resource not found.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/404/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/404/content/application~1problem+json/example"]},{"code":"423","description":"Locked.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/423/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/423/content/application~1problem+json/example"]},{"code":"500","description":"Internal server error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/500/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/500/content/application~1problem+json/example"]},{"code":"default","description":"Unexpected error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/default/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/default/content/application~1problem+json/example"]}],"pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/Task","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Task"}}},{"code":"400","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/400/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/400/content/application~1problem+json/example"]}}},{"code":"401","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/401/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/401/content/application~1problem+json/example"]}}},{"code":"404","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/404/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/404/content/application~1problem+json/example"]}}},{"code":"423","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/423/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/423/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/500/content/application~1problem+json/example"]}}},{"code":"default","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/default/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1export/post/responses/default/content/application~1problem+json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/reports/createreportcontentexporttaskv2"}],"panels":[]}]},"httpPath":"/v2/projects/{projectId}/reports/{reportId}/content/export"},{"label":"Create a report content update task.","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/drillplan/apis/reportingapi/reports/createreportcontentupdatetaskv2","routeSlug":"/solutions/drillplan/apis/reportingapi/reports/createreportcontentupdatetaskv2","metadata":{"seo":{"title":"Create a report content update task.","description":"Creates a new instance of the asynchronous content update task for a given DrillPlan report. To create a content update task, the user must be a member of the project to which the report belongs."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"CreateReportContentUpdateTaskV2","name":"Create a report content update task.","isWebhook":false,"pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create a report content update task.","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Creates a new instance of the asynchronous content update task for a given DrillPlan report.  \nTo create a content update task, the user must be a member of the project to which the report belongs. \n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Token from SLB Authenticator Service"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey","description":"Application key."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_0","description":"Identifier of the project.","required":true},{"name":"reportId","in":"path","schemaId":"schema_0","description":"Identifier of the report.","required":true}],"pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-data-partition-id","in":"header","schemaId":"schema_0","description":"Data partition ID.","required":true}],"pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ReportContentUpdateRequest"}},"schemaId":"components/schemas/ReportContentUpdateRequest","pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v2/projects/{projectId}/reports/{reportId}/content/update","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/reporting","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/reporting","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/reportingapi","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_0"},{"name":"reportId","in":"path","required":true,"schemaId":"schema_0"}],"query":[],"querystring":[],"header":[{"name":"slb-data-partition-id","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/ReportContentUpdateRequest"}},"responseCodes":["200","400","401","404","423","500","default"],"pointer":"/v2/projects/{projectId}/reports/{reportId}/content/update","href":"reports/createreportcontentupdatetaskv2","openApiOperationId":"CreateReportContentUpdateTaskV2","summary":"Create a report content update task."},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/reporting","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/reporting","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/reportingapi","description":"Mock server","isMockServer":true}],"schemaId":"components/schemas/ReportContentUpdateRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ReportContentUpdateRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Success","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Task"}},"schemaId":"components/schemas/Task"},{"code":"400","description":"Bad request.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/400/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/400/content/application~1problem+json/example"]},{"code":"401","description":"User is not authorized.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/401/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/401/content/application~1problem+json/example"]},{"code":"404","description":"Resource not found.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/404/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/404/content/application~1problem+json/example"]},{"code":"423","description":"Locked.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/423/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/423/content/application~1problem+json/example"]},{"code":"500","description":"Internal server error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/500/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/500/content/application~1problem+json/example"]},{"code":"default","description":"Unexpected error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/default/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/default/content/application~1problem+json/example"]}],"pointer":"/paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/Task","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Task"}}},{"code":"400","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/400/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/400/content/application~1problem+json/example"]}}},{"code":"401","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/401/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/401/content/application~1problem+json/example"]}}},{"code":"404","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/404/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/404/content/application~1problem+json/example"]}}},{"code":"423","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/423/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/423/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/500/content/application~1problem+json/example"]}}},{"code":"default","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/default/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1reports~1{reportId}~1content~1update/post/responses/default/content/application~1problem+json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/reports/createreportcontentupdatetaskv2"}],"panels":[]}]},"httpPath":"/v2/projects/{projectId}/reports/{reportId}/content/update"}],"content":{"contentType":"group","meta":{"name":"Reports"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Reports","showPageActions":true},{"nodeType":"markdoc","content":"Service endpoints to access DrillPlan reports."}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/v2/projects/{projectId}/reports","summary":"Get project reports.","prefix":{"name":"get","color":"get"},"badges":[],"link":"/reports/getprojectreportsv2","deprecated":false},{"title":"/v2/projects/{projectId}/reports/create","summary":"Create a report creation task.","prefix":{"name":"post","color":"post"},"badges":[],"link":"/reports/createreportcreatetaskv2","deprecated":false},{"title":"/v2/projects/{projectId}/reports/{reportId}","summary":"Get a report.","prefix":{"name":"get","color":"get"},"badges":[],"link":"/reports/getreportv2","deprecated":false},{"title":"/v2/projects/{projectId}/reports/{reportId}/content/export","summary":"Crate a report export task.","prefix":{"name":"post","color":"post"},"badges":[],"link":"/reports/createreportcontentexporttaskv2","deprecated":false},{"title":"/v2/projects/{projectId}/reports/{reportId}/content/update","summary":"Create a report content update task.","prefix":{"name":"post","color":"post"},"badges":[],"link":"/reports/createreportcontentupdatetaskv2","deprecated":false}]}]}]}]}},{"type":"group","label":"Tasks","link":"/solutions/drillplan/apis/reportingapi/tasks","routeSlug":"/solutions/drillplan/apis/reportingapi/tasks","items":[{"label":"Get a task.","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/drillplan/apis/reportingapi/tasks/gettaskv2","routeSlug":"/solutions/drillplan/apis/reportingapi/tasks/gettaskv2","metadata":{"seo":{"title":"Get a task.","description":"Allows to get a specific asynchronous task details using its ID. This end-point can be used to monitor the state of an asynchronous task. To get the task details, the user must be a member of the project to which the task belongs."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"GetTaskV2","name":"Get a task.","isWebhook":false,"pointer":"/paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get a task.","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Allows to get a specific asynchronous task details using its ID.   \nThis end-point can be used to monitor the state of an asynchronous task.  \nTo get the task details, the user must be a member of the project to which the task belongs. \n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Token from SLB Authenticator Service"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey","description":"Application key."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_0","description":"Identifier of the project.","required":true},{"name":"taskId","in":"path","schemaId":"schema_0","description":"Identifier of the task.","required":true}],"pointer":"/paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-data-partition-id","in":"header","schemaId":"schema_0","description":"Data partition ID.","required":true}],"pointer":"/paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v2/projects/{projectId}/tasks/{taskId}","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/reporting","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/reporting","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/reportingapi","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_0"},{"name":"taskId","in":"path","required":true,"schemaId":"schema_0"}],"query":[],"querystring":[],"header":[{"name":"slb-data-partition-id","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"responseCodes":["200","401","404","500","default"],"pointer":"/v2/projects/{projectId}/tasks/{taskId}","href":"tasks/gettaskv2","openApiOperationId":"GetTaskV2","summary":"Get a task."},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/reporting","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/reporting","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/reportingapi","description":"Mock server","isMockServer":true}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Task status","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Task"}},"schemaId":"components/schemas/Task"},{"code":"401","description":"User is not authorized.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/401/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/401/content/application~1problem+json/example"]},{"code":"404","description":"Resource not found.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/404/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/404/content/application~1problem+json/example"]},{"code":"500","description":"Internal server error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/500/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/500/content/application~1problem+json/example"]},{"code":"default","description":"Unexpected error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/default/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/default/content/application~1problem+json/example"]}],"pointer":"/paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/Task","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Task"}}},{"code":"401","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/401/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/401/content/application~1problem+json/example"]}}},{"code":"404","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/404/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/404/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/500/content/application~1problem+json/example"]}}},{"code":"default","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/default/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/default/content/application~1problem+json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/tasks/gettaskv2"}],"panels":[]}]},"httpPath":"/v2/projects/{projectId}/tasks/{taskId}"}],"content":{"contentType":"group","meta":{"name":"Tasks"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Tasks","showPageActions":true},{"nodeType":"markdoc","content":"Service endpoints to access asynchronous tasks."}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/v2/projects/{projectId}/tasks/{taskId}","summary":"Get a task.","prefix":{"name":"get","color":"get"},"badges":[],"link":"/tasks/gettaskv2","deprecated":false}]}]}]}]}},{"type":"group","label":"Templates","link":"/solutions/drillplan/apis/reportingapi/templates","routeSlug":"/solutions/drillplan/apis/reportingapi/templates","items":[{"label":"Get report templates.","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/drillplan/apis/reportingapi/templates/gettemplatesv2","routeSlug":"/solutions/drillplan/apis/reportingapi/templates/gettemplatesv2","metadata":{"seo":{"title":"Get report templates.","description":"Returns a collection of report templates."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"GetTemplatesV2","name":"Get report templates.","isWebhook":false,"pointer":"/paths/~1v2~1templates/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get report templates.","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Returns a collection of report templates.  \n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Token from SLB Authenticator Service"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey","description":"Application key."}]}]},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-data-partition-id","in":"header","schemaId":"schema_0","description":"Data partition ID.","required":true}],"pointer":"/paths/~1v2~1templates/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v2/templates","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/reporting","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/reporting","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/reportingapi","description":"Mock server","isMockServer":true}],"parameters":{"path":[],"query":[],"querystring":[],"header":[{"name":"slb-data-partition-id","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"responseCodes":["200","401","500","default"],"pointer":"/v2/templates","href":"templates/gettemplatesv2","openApiOperationId":"GetTemplatesV2","summary":"Get report templates."},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/reporting","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/reporting","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/reportingapi","description":"Mock server","isMockServer":true}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Success","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TemplateList"}},"schemaId":"components/schemas/TemplateList"},{"code":"401","description":"User is not authorized.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1templates/get/responses/401/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1templates/get/responses/401/content/application~1problem+json/example"]},{"code":"500","description":"Internal server error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1templates/get/responses/500/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1templates/get/responses/500/content/application~1problem+json/example"]},{"code":"default","description":"Unexpected error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1templates/get/responses/default/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1templates/get/responses/default/content/application~1problem+json/example"]}],"pointer":"/paths/~1v2~1templates/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/TemplateList","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TemplateList"}}},{"code":"401","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1templates/get/responses/401/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1templates/get/responses/401/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1templates/get/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1templates/get/responses/500/content/application~1problem+json/example"]}}},{"code":"default","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1templates/get/responses/default/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1templates/get/responses/default/content/application~1problem+json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/templates/gettemplatesv2"}],"panels":[]}]},"httpPath":"/v2/templates"}],"content":{"contentType":"group","meta":{"name":"Templates"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Templates","showPageActions":true},{"nodeType":"markdoc","content":"Service endpoints to access DrillPlan report templates."}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/v2/templates","summary":"Get report templates.","prefix":{"name":"get","color":"get"},"badges":[],"link":"/templates/gettemplatesv2","deprecated":false}]}]}]}]}},{"type":"group","label":"Schema Definitions","link":"/solutions/drillplan/apis/reportingapi/schema-definitions","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions","items":[{"type":"link","label":"TemplateList","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/templatelist","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/templatelist","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"TemplateList"},"seo":{"title":"TemplateList"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"TemplateList","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/TemplateList"},"children":[]}]}]}},{"type":"link","label":"Template","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/template","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/template","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"Template"},"seo":{"title":"Template"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Template","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/Template"},"children":[]}]}]}},{"type":"link","label":"TemplateType","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/templatetype","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/templatetype","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"TemplateType"},"seo":{"title":"TemplateType"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"TemplateType","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/TemplateType"},"children":[]}]}]}},{"type":"link","label":"ReportList","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/reportlist","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/reportlist","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"ReportList"},"seo":{"title":"ReportList"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"ReportList","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/ReportList"},"children":[]}]}]}},{"type":"link","label":"ReportSummary","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/reportsummary","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/reportsummary","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"ReportSummary"},"seo":{"title":"ReportSummary"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"ReportSummary","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/ReportSummary"},"children":[]}]}]}},{"type":"link","label":"Report","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/report","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/report","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"Report"},"seo":{"title":"Report"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Report","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/Report"},"children":[]}]}]}},{"type":"link","label":"Chapter","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/chapter","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/chapter","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"Chapter"},"seo":{"title":"Chapter"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Chapter","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/Chapter"},"children":[]}]}]}},{"type":"link","label":"ChapterProblem","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/chapterproblem","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/chapterproblem","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"ChapterProblem"},"seo":{"title":"ChapterProblem"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"ChapterProblem","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/ChapterProblem"},"children":[]}]}]}},{"type":"link","label":"ChapterMapping","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/chaptermapping","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/chaptermapping","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"ChapterMapping"},"seo":{"title":"ChapterMapping"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"ChapterMapping","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/ChapterMapping"},"children":[]}]}]}},{"type":"link","label":"LevelReference","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/levelreference","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/levelreference","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"LevelReference"},"seo":{"title":"LevelReference"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"LevelReference","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/LevelReference"},"children":[]}]}]}},{"type":"link","label":"LevelReferenceType","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/levelreferencetype","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/levelreferencetype","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"LevelReferenceType"},"seo":{"title":"LevelReferenceType"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"LevelReferenceType","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/LevelReferenceType"},"children":[]}]}]}},{"type":"link","label":"ReportTemplate","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/reporttemplate","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/reporttemplate","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"ReportTemplate"},"seo":{"title":"ReportTemplate"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"ReportTemplate","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/ReportTemplate"},"children":[]}]}]}},{"type":"link","label":"PlanReference","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/planreference","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/planreference","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"PlanReference"},"seo":{"title":"PlanReference"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"PlanReference","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/PlanReference"},"children":[]}]}]}},{"type":"link","label":"ReportSuccessfulUpdate","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/reportsuccessfulupdate","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/reportsuccessfulupdate","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"ReportSuccessfulUpdate"},"seo":{"title":"ReportSuccessfulUpdate"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"ReportSuccessfulUpdate","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/ReportSuccessfulUpdate"},"children":[]}]}]}},{"type":"link","label":"ReportCreateRequest","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/reportcreaterequest","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/reportcreaterequest","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"ReportCreateRequest"},"seo":{"title":"ReportCreateRequest"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"ReportCreateRequest","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/ReportCreateRequest"},"children":[]}]}]}},{"type":"link","label":"ReportContentUpdateRequest","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/reportcontentupdaterequest","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/reportcontentupdaterequest","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"ReportContentUpdateRequest"},"seo":{"title":"ReportContentUpdateRequest"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"ReportContentUpdateRequest","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/ReportContentUpdateRequest"},"children":[]}]}]}},{"type":"link","label":"IncludedChapter","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/includedchapter","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/includedchapter","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"IncludedChapter"},"seo":{"title":"IncludedChapter"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"IncludedChapter","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/IncludedChapter"},"children":[]}]}]}},{"type":"link","label":"ReportContentExportRequest","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/reportcontentexportrequest","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/reportcontentexportrequest","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"ReportContentExportRequest"},"seo":{"title":"ReportContentExportRequest"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"ReportContentExportRequest","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/ReportContentExportRequest"},"children":[]}]}]}},{"type":"link","label":"AuditStatus","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/auditstatus","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/auditstatus","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"AuditStatus"},"seo":{"title":"AuditStatus"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"AuditStatus","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/AuditStatus"},"children":[]}]}]}},{"type":"link","label":"Task","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/task","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/task","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"Task"},"seo":{"title":"Task"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Task","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/Task"},"children":[]}]}]}},{"type":"link","label":"TaskStatus","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/taskstatus","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/taskstatus","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"TaskStatus"},"seo":{"title":"TaskStatus"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"TaskStatus","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/TaskStatus"},"children":[]}]}]}},{"type":"link","label":"AsyncTaskRequest","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/asynctaskrequest","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/asynctaskrequest","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"AsyncTaskRequest"},"seo":{"title":"AsyncTaskRequest"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"AsyncTaskRequest","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/AsyncTaskRequest"},"children":[]}]}]}},{"type":"link","label":"Callback","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/callback","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/callback","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"Callback"},"seo":{"title":"Callback"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Callback","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/Callback"},"children":[]}]}]}},{"type":"link","label":"CallbackData","link":"/solutions/drillplan/apis/reportingapi/schema-definitions/callbackdata","routeSlug":"/solutions/drillplan/apis/reportingapi/schema-definitions/callbackdata","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"CallbackData"},"seo":{"title":"CallbackData"},"children":[{"nodeType":"contain
[...]
